com.opensymphony.xwork2.validator.validators

## Class ExpressionValidator

- java.lang.Object
- - com.opensymphony.xwork2.validator.validators.ValidatorSupport
  - - com.opensymphony.xwork2.validator.validators.ExpressionValidator

- All Implemented Interfaces:
    ShortCircuitableValidator, Validator

      public class ExpressionValidator
      extends ValidatorSupport

  A Non-Field Level validator that validates based on regular expression supplied.
  - expression - the Ognl expression to be evaluated against the stack (Must evaluate to a Boolean)

           <validators>
                 <validator type="expression">
                    <param name="expression"> .... </param>
                    <message>Failed to meet Ognl Expression  .... </message>
                 </validator>
           </validators>

  Author:
    Jason Carreira

- - ### Field Summary

    - ### Fields inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport

      `defaultMessage, EMPTY_STRING, messageKey, stack, textProviderFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionValidator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getExpression()`
    `void` | `setExpression(String expression)`
    `void` | `validate(Object object)` The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.

    - ### Methods inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport

      `addActionError, addFieldError, getDefaultMessage, getFieldValue, getMessage, getMessageKey, getMessageParameters, getValidatorContext, getValidatorType, isShortCircuit, parse, setDefaultMessage, setMessageKey, setMessageParameters, setShortCircuit, setTextProviderFactory, setValidatorContext, setValidatorType, setValueStack`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpressionValidator

          public ExpressionValidator()

  - ### Method Detail

    - #### setExpression

          public void setExpression(String expression)

    - #### getExpression

          public String getExpression()

    - #### validate

          public void validate(Object object)
                        throws ValidationException

      Description copied from interface: `Validator`
      The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.
      Parameters:
        `object` - the object to be validated.
      Throws:
        `ValidationException` - is thrown if there is validation error(s).

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.